Updates the db_info_data_db_report object with the specified key ///

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

db_info_data_db_report
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
db_report_id

Foreign key of the object using his Odyssee Guid Primary Key

globally unique identifier

Optionally required : db_report_id or db_report_reference_back_office must be provided

db_report_reference_back_office

Foreign key of the object using ERP PK when adding/updating db_info_data

string

Optionally required : db_report_id or db_report_reference_back_office must be provided

db_info_field_id

globally unique identifier

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field_name

string

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field

db_info_field

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

value

The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields)

string

Required

reference_back_office

The Id/Ref of the back office for this object

string

Max length: 50

sys_logical_delete

sys_logical_delete

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "c281c9e3-50bd-4d6b-a0a9-98ce249b6621",
  "db_report_id": "ba4bfe57-d2ba-4f1f-9c53-f1ae3a2535a3",
  "db_report_reference_back_office": "sample string 3",
  "db_info_field_id": "0ac995eb-38bb-448f-ab36-92af4544be78",
  "db_info_field_name": "sample string 5",
  "value": "sample string 6",
  "reference_back_office": "sample string 7",
  "sys_logical_delete": true,
  "modified_dateutc": "2026-10-15T16:25:04.9048369+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.